com.independentsoft.exchange

## Class And

- java.lang.Object
- - com.independentsoft.exchange.Restriction
  - - com.independentsoft.exchange.And

-     public class And
      extends Restriction

  Represents a search expression that allows you to perform a Boolean AND operation between two or more search expressions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `And(java.util.List<Restriction> restrictions)` Initializes a new instance of the And class.
    `And(PropertyPath propertyPath, boolean value)` Initializes a new instance of the And class.
    `And(PropertyPath propertyPath, java.util.Date value)` Initializes a new instance of the And class.
    `And(PropertyPath propertyPath, double value)` Initializes a new instance of the And class.
    `And(PropertyPath propertyPath, long value)` Initializes a new instance of the And class.
    `And(PropertyPath propertyPath1, PropertyPath propertyPath2)` Initializes a new instance of the And class.
    `And(PropertyPath propertyPath, java.lang.String value)` Initializes a new instance of the And class.
    `And(Restriction restriction1, Restriction restriction2)` Initializes a new instance of the And class.
    `And(Restriction restriction1, Restriction restriction2, Restriction restriction3)` Initializes a new instance of the And class.
    `And(Restriction restriction1, Restriction restriction2, Restriction restriction3, Restriction restriction4)` Initializes a new instance of the And class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Converts the value of the current And object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### And

          public And(PropertyPath propertyPath,
                     long value)

      Initializes a new instance of the And class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### And

          public And(PropertyPath propertyPath,
                     double value)

      Initializes a new instance of the And class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### And

          public And(PropertyPath propertyPath,
                     boolean value)

      Initializes a new instance of the And class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### And

          public And(PropertyPath propertyPath,
                     java.util.Date value)

      Initializes a new instance of the And class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### And

          public And(PropertyPath propertyPath,
                     java.lang.String value)

      Initializes a new instance of the And class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### And

          public And(PropertyPath propertyPath1,
                     PropertyPath propertyPath2)

      Initializes a new instance of the And class.
      Parameters:
        `propertyPath1` - the property path1
        `propertyPath2` - the property path2

    - #### And

          public And(Restriction restriction1,
                     Restriction restriction2)

      Initializes a new instance of the And class.
      Parameters:
        `restriction1` - the restriction1
        `restriction2` - the restriction2

    - #### And

          public And(Restriction restriction1,
                     Restriction restriction2,
                     Restriction restriction3)

      Initializes a new instance of the And class.
      Parameters:
        `restriction1` - the restriction1
        `restriction2` - the restriction2
        `restriction3` - the restriction3

    - #### And

          public And(Restriction restriction1,
                     Restriction restriction2,
                     Restriction restriction3,
                     Restriction restriction4)

      Initializes a new instance of the And class.
      Parameters:
        `restriction1` - the restriction1
        `restriction2` - the restriction2
        `restriction3` - the restriction3
        `restriction4` - the restriction4

    - #### And

          public And(java.util.List<Restriction> restrictions)

      Initializes a new instance of the And class.
      Parameters:
        `restrictions` - the restrictions

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current And object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string